GNU bug report logs - #46853
Confusing terminology "face height" instead of "font size"

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: Stefan Kangas <stefan@HIDDEN>; dated Mon, 1 Mar 2021 16:41:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 46853 <at> debbugs.gnu.org:


Received: (at 46853) by debbugs.gnu.org; 4 Mar 2021 13:46:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 04 08:46:33 2021
Received: from localhost ([127.0.0.1]:58139 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lHoJF-0004QX-DD
	for submit <at> debbugs.gnu.org; Thu, 04 Mar 2021 08:46:33 -0500
Received: from eggs.gnu.org ([209.51.188.92]:52088)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lHoJD-0004KG-Ci
 for 46853 <at> debbugs.gnu.org; Thu, 04 Mar 2021 08:46:32 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:59327)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lHoJ8-0004jV-5Z; Thu, 04 Mar 2021 08:46:26 -0500
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:1078
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lHoJ7-0002cu-BV; Thu, 04 Mar 2021 08:46:26 -0500
Date: Thu, 04 Mar 2021 15:46:08 +0200
Message-Id: <837dmnjalb.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <CADwFkmmoVW2xqLrWEPncHYb4jxbkd9NxYVHfOmb4PYP3i9ShWA@HIDDEN>
 (message from Stefan Kangas on Wed, 3 Mar 2021 18:16:02 -0600)
Subject: Re: bug#46853: Confusing terminology "face height" instead of "font
 size"
References: <CADwFkm=vsDvdEnmpo5BzBTTM=c-ETYHu3AxC-7ZSwT-pxvSK_A@HIDDEN>
 <875z2a4x2c.fsf@HIDDEN>
 <CADwFkmkF74NBPP+Hai-JUTD4UEiBXFiGHYaEkvx7TovCeNxdrQ@HIDDEN>
 <87tupu3cdd.fsf@HIDDEN> <83zgzm7jlu.fsf@HIDDEN> <87czwi3bfr.fsf@HIDDEN>
 <83sg5e7ihe.fsf@HIDDEN>
 <CADwFkmmoVW2xqLrWEPncHYb4jxbkd9NxYVHfOmb4PYP3i9ShWA@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46853
Cc: 46853 <at> debbugs.gnu.org, larsi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Stefan Kangas <stefan@HIDDEN>
> Date: Wed, 3 Mar 2021 18:16:02 -0600
> Cc: 46853 <at> debbugs.gnu.org
> 
> >> and then `C-x C-+' in the buffer enlarges all the faces, even
> >> variable-pitch...
> >
> > It only enlarges those faces which inherit their size from 'default'.
> 
> I find the semantics here confusing.  I do this in emacs -Q:
> 
>     (progn
>       (defface foo-bar '((t :weight bold)) "foo")
>       (pop-to-buffer (get-buffer-create "foo"))
>       (insert "aaa " (propertize "bbb" 'face 'foo-bar) " ccc")
>       (text-scale-adjust 3))
> 
> And I see that "bbb" has its font size increased together with "aaa" and
> "ccc".  But `M-x describe-face RET foo-bar' says that "Inherit:
> unspecified".

All the faces implicitly inherit from 'default'.

> Looking at the manual, the node `(elisp) Basic Faces' says:
> 
>     ‘default’
>          The default face, whose attributes are all specified.  All other
>          faces implicitly inherit from it: any unspecified attribute
>          defaults to the attribute on this face (*note Face Attributes::).

Exactly.

> So when you say that "it only enlarges those faces which inherit their
> size from 'default'", doesn't that just mean that *any* face is resized,
> unless that face itself or any its parents specify an absolute :height
> (an integer)?

No, it doesn't have to be an absolute :height attribute.  It can also
be:

  . a face that inherits from a face other than 'default', which has
    an absolute :height attribute
  . a face that specifies a relative :height attribute and inherits
    from a face other than 'default that specifies an absolute :height
  . any other situation where a face recursively inherits from some
    other face with a non-default absolute :height




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46853; Package emacs. Full text available.

Message received at 46853 <at> debbugs.gnu.org:


Received: (at 46853) by debbugs.gnu.org; 4 Mar 2021 13:42:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 04 08:42:04 2021
Received: from localhost ([127.0.0.1]:58135 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lHoEt-0002pr-Oz
	for submit <at> debbugs.gnu.org; Thu, 04 Mar 2021 08:42:04 -0500
Received: from eggs.gnu.org ([209.51.188.92]:50740)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lHoEp-0002pM-FG
 for 46853 <at> debbugs.gnu.org; Thu, 04 Mar 2021 08:42:01 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:59249)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lHoEj-0002Ys-RC; Thu, 04 Mar 2021 08:41:53 -0500
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:4771
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lHoEj-0002EI-9H; Thu, 04 Mar 2021 08:41:53 -0500
Date: Thu, 04 Mar 2021 15:41:34 +0200
Message-Id: <838s73jasx.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <CADwFkmkyeUiJZtp+88ouaYXX-s-NF6AU+s6VSMQEGEyU6yO68g@HIDDEN>
 (message from Stefan Kangas on Wed, 3 Mar 2021 16:43:07 -0600)
Subject: Re: bug#46853: Confusing terminology "face height" instead of "font
 size"
References: <CADwFkm=vsDvdEnmpo5BzBTTM=c-ETYHu3AxC-7ZSwT-pxvSK_A@HIDDEN>
 <875z2a4x2c.fsf@HIDDEN>
 <CADwFkmkF74NBPP+Hai-JUTD4UEiBXFiGHYaEkvx7TovCeNxdrQ@HIDDEN>
 <87tupu3cdd.fsf@HIDDEN> <87pn0i3c0j.fsf@HIDDEN> <83wnuq7izl.fsf@HIDDEN>
 <874khu3aiw.fsf@HIDDEN> <83o8g27hoa.fsf@HIDDEN>
 <CADwFkmkyeUiJZtp+88ouaYXX-s-NF6AU+s6VSMQEGEyU6yO68g@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46853
Cc: 46853 <at> debbugs.gnu.org, larsi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Stefan Kangas <stefan@HIDDEN>
> Date: Wed, 3 Mar 2021 16:43:07 -0600
> Cc: 46853 <at> debbugs.gnu.org
> 
> > Sorry, no, because that would mislead by catering to the "usual" cases
> > and ignoring the rest.  What I think we should do instead is talk
> > about the default face, and then add a note that other faces will be
> > affected if they don't specify :height.
> 
> Yes, this would be an improvement.  But I have found it less than
> helpful with this talk about the `default' face, since it evidently
> scales *all* faces.

As this discussion shows, it definitely doesn't scale _all_ of them.

> It also maintains the terminological confusion that is the reason for
> this bug report -- i.e. it talks about "the default face" instead of
> "the font size" [in the current buffer].

There's no such thing as "the font in the current buffer" in modern
Emacs, because we are capable of using quite a few fonts in the same
buffer.

> 
> So I would propose:
> 
> a) Talking about "changing font size".  That is after all the most
>    striking user visible effect, and it is what normally happens in most
>    buffers.

I didn't object to mentioning the font, I object to mentioning it
without _also_ mentioning the face(s) whose font attribute is
affected.

> b) On row two of the docstring (or three or whatever) we explain the
>    exact details, something like:
> 
>   "This scales all faces that do not have an absolute :height specified.

The "absolute" part is inaccurate, see the other mail in this thread.

>   As an exception, the `default' face is scaled even if it has an
>   absolute :height.  This exception also applies to the `header-line'
>   face if the variable `text-scale-remap-header-line' is non-nil."
> 
> This seems both more accurate, and less confusing to me.
> 
> I think the difference between the two proposals is that this puts the
> technical "implementation details" further down, and the user-visible
> effects higher up.  (I put "implementation details" in quotes because it
> becomes important as soon as you start customizing faces with absolute
> values.)

Which doc string are you alluding to here?  There's IMO a difference
between doc strings of user commands and doc strings of the rest of
the functions and variables.  The latter don't need to cater too much
to users, so they can be more rigorous.  Doc strings for user commands
and options should perhaps start with an easier to understand text,
but should afterwards have notes that prevent erroneous
interpretation.

IOW, we need to consider the doc strings on a case by case basis.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46853; Package emacs. Full text available.

Message received at 46853 <at> debbugs.gnu.org:


Received: (at 46853) by debbugs.gnu.org; 4 Mar 2021 00:16:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 03 19:16:10 2021
Received: from localhost ([127.0.0.1]:57266 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lHbf0-0002Wb-F3
	for submit <at> debbugs.gnu.org; Wed, 03 Mar 2021 19:16:10 -0500
Received: from mail-pl1-f169.google.com ([209.85.214.169]:34859)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1lHbey-0002Q5-Uv
 for 46853 <at> debbugs.gnu.org; Wed, 03 Mar 2021 19:16:09 -0500
Received: by mail-pl1-f169.google.com with SMTP id g20so15050067plo.2
 for <46853 <at> debbugs.gnu.org>; Wed, 03 Mar 2021 16:16:08 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:cc:content-transfer-encoding;
 bh=B2mPUvuh7ynGAuUU2ai0AIBKD+JaBdoP3ZtAV1sSkj8=;
 b=PPEy7n+dA9tP7/s9dzn30xNTcGIAJc8hsCMOO3g20HsBP5/CPZM+G3kPmkpMTkewWy
 ZR+ke69SVszRHMxhHD8x3VvZIeXSe7ZJ1FM6/fnmgJau+AYb5WoLqfTkb4c5vPXoAM1f
 XV2Db2bctxK/qr9iqeQUDLyI0byrHNDOji/RXdbQLmsQ2UjEggKIIO0z71eUBGoy49Qz
 blmuvrVYv4lGwCsfaKy08vS/WjVaIe1EuFze7icL9z0E+lfN+w1fNlgSJGXTb/SNYEm8
 P6bpumHIaPw+k+euTKBMR3rTD7b9B4S3q4QdmkRaPrZNGl0F/O8Wzh5ySLqLCE7XEMP6
 rjzg==
X-Gm-Message-State: AOAM532K2fm01CNlbdVQx4bq30I12g+zdfGhii3Z7oBFNRQlDbW5KAaa
 jvwEI9F35bN/+jfsrs5g6v5ZznqQjA19+VkCfIo=
X-Google-Smtp-Source: ABdhPJztppgFq5ZzwVvNdO8EUwzrrxJbrYS66U4VqcCTLlf3UUfsekyGlYqjpr3MQ1oyrGe6KSO21wCDUK//WLTLlGw=
X-Received: by 2002:a17:90b:e83:: with SMTP id
 fv3mr1556970pjb.179.1614816963110; 
 Wed, 03 Mar 2021 16:16:03 -0800 (PST)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Wed, 3 Mar 2021 18:16:02 -0600
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <83sg5e7ihe.fsf@HIDDEN>
References: <CADwFkm=vsDvdEnmpo5BzBTTM=c-ETYHu3AxC-7ZSwT-pxvSK_A@HIDDEN>
 <875z2a4x2c.fsf@HIDDEN>
 <CADwFkmkF74NBPP+Hai-JUTD4UEiBXFiGHYaEkvx7TovCeNxdrQ@HIDDEN>
 <87tupu3cdd.fsf@HIDDEN> <83zgzm7jlu.fsf@HIDDEN> <87czwi3bfr.fsf@HIDDEN>
 <83sg5e7ihe.fsf@HIDDEN>
MIME-Version: 1.0
Date: Wed, 3 Mar 2021 18:16:02 -0600
Message-ID: <CADwFkmmoVW2xqLrWEPncHYb4jxbkd9NxYVHfOmb4PYP3i9ShWA@HIDDEN>
Subject: Re: bug#46853: Confusing terminology "face height" instead of "font
 size"
To: Eli Zaretskii <eliz@HIDDEN>, Lars Ingebrigtsen <larsi@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 46853
Cc: 46853 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Lars Ingebrigtsen <larsi@HIDDEN>
>> Cc: stefan@HIDDEN,  46853 <at> debbugs.gnu.org
>> Date: Mon, 01 Mar 2021 20:45:28 +0100
>>
>> Eli Zaretskii <eliz@HIDDEN> writes:
>>
>> > No, it's because enlarging _all_ faces makes no sense.
>>
>> I really thought that's how this command worked, but
>>
>> emacs -Q -f list-faces-display
>>
>> and then `C-x C-+' in the buffer enlarges all the faces, even
>> variable-pitch...
>
> It only enlarges those faces which inherit their size from 'default'.

I find the semantics here confusing.  I do this in emacs -Q:

    (progn
      (defface foo-bar '((t :weight bold)) "foo")
      (pop-to-buffer (get-buffer-create "foo"))
      (insert "aaa " (propertize "bbb" 'face 'foo-bar) " ccc")
      (text-scale-adjust 3))

And I see that "bbb" has its font size increased together with "aaa" and
"ccc".  But `M-x describe-face RET foo-bar' says that "Inherit:
unspecified".

Looking at the manual, the node `(elisp) Basic Faces' says:

    =E2=80=98default=E2=80=99
         The default face, whose attributes are all specified.  All other
         faces implicitly inherit from it: any unspecified attribute
         defaults to the attribute on this face (*note Face Attributes::).

So when you say that "it only enlarges those faces which inherit their
size from 'default'", doesn't that just mean that *any* face is resized,
unless that face itself or any its parents specify an absolute :height
(an integer)?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46853; Package emacs. Full text available.

Message received at 46853 <at> debbugs.gnu.org:


Received: (at 46853) by debbugs.gnu.org; 3 Mar 2021 22:43:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 03 17:43:15 2021
Received: from localhost ([127.0.0.1]:57167 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lHaD4-0007eQ-UA
	for submit <at> debbugs.gnu.org; Wed, 03 Mar 2021 17:43:15 -0500
Received: from mail-pg1-f181.google.com ([209.85.215.181]:40643)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1lHaD3-0007eE-Ko
 for 46853 <at> debbugs.gnu.org; Wed, 03 Mar 2021 17:43:14 -0500
Received: by mail-pg1-f181.google.com with SMTP id b21so17466160pgk.7
 for <46853 <at> debbugs.gnu.org>; Wed, 03 Mar 2021 14:43:13 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:cc;
 bh=CKOt5SeHvy4bISIu5BxWUaAtMqvaeUasFH9LDhZBq8k=;
 b=Yk7TggLfg5BNz0sI9OFQqZmvqikYMJtBwUUGygyXWq+v8X9ChbrGRahTOXMWABle+b
 fJGqbjVGbQTxORG1P2dZ7zWfh3wF9YzPLNVeq6G3Qp1y4fBZD/gFbJNEMYwanKdTJ/1H
 WNuVlU3OORldVla+OFZhINWoIvYtsR7AoSz7JUb3VDxOlo6peXxTHzRPTFHT4xitQM+q
 4hbBW4Yfd3bLNjF0O82pao+Dk2C/eh7vs72i94YDjuKDG8f0y4ItZvwC7mBTkso+YKed
 wzZ1rw4CXDE/WfK4Khi02cPdQdU1niOQxjb9AC4V5gb6JzEjXIVSA4PP/V8+q5Lc+9M7
 WcKA==
X-Gm-Message-State: AOAM532qGfF/YO4BeipOavZ5nFGVy7soCov0b42nPZD3uB0ViUEmhi8m
 4PQj7dKBizOOb+SyQTgBYRX4wmCNCZ/EA0cVSnQ=
X-Google-Smtp-Source: ABdhPJzpTupNECA3vZhA2CwSPVKOgQa9I1rfgT9GNRRcEDZfqCcFO5/KEiO6WOEUAKAx2CO/Se0TaoHc4ZVbxxygwCs=
X-Received: by 2002:aa7:9711:0:b029:1ee:b2c7:ecfe with SMTP id
 a17-20020aa797110000b02901eeb2c7ecfemr929412pfg.58.1614811387552; Wed, 03 Mar
 2021 14:43:07 -0800 (PST)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Wed, 3 Mar 2021 16:43:07 -0600
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <83o8g27hoa.fsf@HIDDEN>
References: <CADwFkm=vsDvdEnmpo5BzBTTM=c-ETYHu3AxC-7ZSwT-pxvSK_A@HIDDEN>
 <875z2a4x2c.fsf@HIDDEN>
 <CADwFkmkF74NBPP+Hai-JUTD4UEiBXFiGHYaEkvx7TovCeNxdrQ@HIDDEN>
 <87tupu3cdd.fsf@HIDDEN> <87pn0i3c0j.fsf@HIDDEN> <83wnuq7izl.fsf@HIDDEN>
 <874khu3aiw.fsf@HIDDEN> <83o8g27hoa.fsf@HIDDEN>
MIME-Version: 1.0
Date: Wed, 3 Mar 2021 16:43:07 -0600
Message-ID: <CADwFkmkyeUiJZtp+88ouaYXX-s-NF6AU+s6VSMQEGEyU6yO68g@HIDDEN>
Subject: Re: bug#46853: Confusing terminology "face height" instead of "font
 size"
To: Eli Zaretskii <eliz@HIDDEN>, Lars Ingebrigtsen <larsi@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 46853
Cc: 46853 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Eli Zaretskii <eliz@HIDDEN> writes:

>> My understanding of what it does is:
>>
>> 1) The default face is definitely adjusted (even if it has an explicit
>>    :height).
>>
>> 2) The header face is also adjusted (even if it has an explicit :height)
>>    and you have that variable set.
>>
>> 3) All other fonts will also be adjusted, except those with an explicit
>>    :height.

Thank you for laying this out clearly.

>> There may be other rules, too (are there other face attributes that
>> hinder size changes?), but this seems to indicate to me that we should
>> just say (as in Stefan's patches) "changes the size of the fonts", and
>> then link to a manual node that explains the three points above?
>>
>> Does that sound reasonable?
>
> Sorry, no, because that would mislead by catering to the "usual" cases
> and ignoring the rest.  What I think we should do instead is talk
> about the default face, and then add a note that other faces will be
> affected if they don't specify :height.

Yes, this would be an improvement.  But I have found it less than
helpful with this talk about the `default' face, since it evidently
scales *all* faces.

It also maintains the terminological confusion that is the reason for
this bug report -- i.e. it talks about "the default face" instead of
"the font size" [in the current buffer].

So I would propose:

a) Talking about "changing font size".  That is after all the most
   striking user visible effect, and it is what normally happens in most
   buffers.

b) On row two of the docstring (or three or whatever) we explain the
   exact details, something like:

  "This scales all faces that do not have an absolute :height specified.
  As an exception, the `default' face is scaled even if it has an
  absolute :height.  This exception also applies to the `header-line'
  face if the variable `text-scale-remap-header-line' is non-nil."

This seems both more accurate, and less confusing to me.

I think the difference between the two proposals is that this puts the
technical "implementation details" further down, and the user-visible
effects higher up.  (I put "implementation details" in quotes because it
becomes important as soon as you start customizing faces with absolute
values.)

> (The special handling of header-line doesn't have to be mentioned
> where header-line is not the most relevant feature; or we could say
> "see also `text-scale-remap-header-line' in some of them).

Agreed.  We should decide the level of detail on a case-by-case basis.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46853; Package emacs. Full text available.

Message received at 46853 <at> debbugs.gnu.org:


Received: (at 46853) by debbugs.gnu.org; 1 Mar 2021 20:17:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 01 15:17:23 2021
Received: from localhost ([127.0.0.1]:50974 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lGoyo-0005Vy-Pr
	for submit <at> debbugs.gnu.org; Mon, 01 Mar 2021 15:17:23 -0500
Received: from eggs.gnu.org ([209.51.188.92]:39732)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lGoym-0005Ro-3O
 for 46853 <at> debbugs.gnu.org; Mon, 01 Mar 2021 15:17:21 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:53270)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lGoyg-0004mP-K4; Mon, 01 Mar 2021 15:17:14 -0500
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:2639
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lGoyf-0003RH-3z; Mon, 01 Mar 2021 15:17:14 -0500
Date: Mon, 01 Mar 2021 22:17:09 +0200
Message-Id: <83o8g27hoa.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <874khu3aiw.fsf@HIDDEN> (message from Lars Ingebrigtsen on Mon, 
 01 Mar 2021 21:05:11 +0100)
Subject: Re: bug#46853: Confusing terminology "face height" instead of "font
 size"
References: <CADwFkm=vsDvdEnmpo5BzBTTM=c-ETYHu3AxC-7ZSwT-pxvSK_A@HIDDEN>
 <875z2a4x2c.fsf@HIDDEN>
 <CADwFkmkF74NBPP+Hai-JUTD4UEiBXFiGHYaEkvx7TovCeNxdrQ@HIDDEN>
 <87tupu3cdd.fsf@HIDDEN> <87pn0i3c0j.fsf@HIDDEN>
 <83wnuq7izl.fsf@HIDDEN> <874khu3aiw.fsf@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46853
Cc: 46853 <at> debbugs.gnu.org, stefan@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Cc: stefan@HIDDEN,  46853 <at> debbugs.gnu.org
> Date: Mon, 01 Mar 2021 21:05:11 +0100
> 
> > Which exactly demonstrates that not all the faces will have their size
> > changed.  Right?
> 
> Sure.  But the rules are a bit more subtle, so I wonder whether talking
> about the "default face" everywhere is the best way of doing it.
> 
> My understanding of what it does is:
> 
> 1) The default face is definitely adjusted (even if it has an explicit
>    :height).
> 
> 2) The header face is also adjusted (even if it has an explicit :height)
>    and you have that variable set.
> 
> 3) All other fonts will also be adjusted, except those with an explicit
>    :height.
> 
> There may be other rules, too (are there other face attributes that
> hinder size changes?), but this seems to indicate to me that we should
> just say (as in Stefan's patches) "changes the size of the fonts", and
> then link to a manual node that explains the three points above?
> 
> Does that sound reasonable? 

Sorry, no, because that would mislead by catering to the "usual" cases
and ignoring the rest.  What I think we should do instead is talk
about the default face, and then add a note that other faces will be
affected if they don't specify :height.  (The special handling of
header-line doesn't have to be mentioned where header-line is not the
most relevant feature; or we could say "see also
`text-scale-remap-header-line' in some of them).




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46853; Package emacs. Full text available.

Message received at 46853 <at> debbugs.gnu.org:


Received: (at 46853) by debbugs.gnu.org; 1 Mar 2021 20:05:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 01 15:05:28 2021
Received: from localhost ([127.0.0.1]:50928 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lGonI-0003LI-7a
	for submit <at> debbugs.gnu.org; Mon, 01 Mar 2021 15:05:28 -0500
Received: from quimby.gnus.org ([95.216.78.240]:47322)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1lGonF-0003L4-QS
 for 46853 <at> debbugs.gnu.org; Mon, 01 Mar 2021 15:05:26 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=R9NxoR0kSEdz+YEtr2/teaYodOmHCG4RFuZ8poG45d0=; b=JsbqLiPpVepRCTKNcQ5F4/dGBm
 E2SFIf8n7O3tca2PFsdxRJyRS1GkNBCI/fzmlMvPbpRsXz0r59vlMkfRG5RpSaJsy4FOrSeKFFQ0y
 BkMuYHOkcPtmejg4rWvzazWJnFU81fRbX4LnYCml3/AL/UjI3c80cGicl6b4jiI9WxOk=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1lGon3-0005HW-AR; Mon, 01 Mar 2021 21:05:18 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#46853: Confusing terminology "face height" instead of "font
 size"
References: <CADwFkm=vsDvdEnmpo5BzBTTM=c-ETYHu3AxC-7ZSwT-pxvSK_A@HIDDEN>
 <875z2a4x2c.fsf@HIDDEN>
 <CADwFkmkF74NBPP+Hai-JUTD4UEiBXFiGHYaEkvx7TovCeNxdrQ@HIDDEN>
 <87tupu3cdd.fsf@HIDDEN> <87pn0i3c0j.fsf@HIDDEN>
 <83wnuq7izl.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAKlBMVEUySCyxqa3c2dL1
 8epATTvFw72mmqSViJWHeYZmWWaBcn5EOEYhHCT///97BQpkAAAAAWJLR0QN9rRh9QAAAAd0SU1F
 B+UDARMWI9Xe5KgAAAFvSURBVDjLrdRBUsIwFAbgLjiAxbHoThu8ANWDIMPoFhno2nGGgrpxVTrs
 oaFcgPECZF4u0EkO5UuwkrRUXfh3l2/ea5u81nGcpq9CSMcv0nZ0ekE5Bbil9AoIIzvPdTD8G8wx
 x2CeUErXcQWmCQUARrUMbw6QZFIFtBgwpVwtA4g0tmC20QWCS5bawOWXCGxmQKJWWaaYVUCk4UcF
 triSv/utjRQK2hbsSHD1ihVzE/BpxSMexAN2XBmAryGWBOGeV4Cpc+x4XObWPRZ8pwqCLr6htYkL
 YMchAd2qi63SEsCI4C3OpYgtmGV8OcD5uNjD5R5IGL1knKXeWf9N5pEFUwoClgPcElaCLe5sDkLC
 yoZIHbnaYRaXAA8d1DSkehJNwGYI6/34mKAGiNL4CCB9T2IJDrP7K3iuNzZzuocGqXxqRUUNNH6A
 29UkfBq3JkN35LpNs8In1/pbx8snf2lVA0ENOAP9O+gfcnfi/Gs+AejfWZ5yZIrMAAAAJXRFWHRk
 YXRlOmNyZWF0ZQAyMDIxLTAzLTAxVDE5OjIyOjM1KzAwOjAwjD6/LAAAACV0RVh0ZGF0ZTptb2Rp
 ZnkAMjAyMS0wMy0wMVQxOToyMjozNSswMDowMP1jB5AAAAAASUVORK5CYII=
X-Now-Playing: Panoptique Electrical's _Quiet Ecology_: "In Between Buildings"
Date: Mon, 01 Mar 2021 21:05:11 +0100
In-Reply-To: <83wnuq7izl.fsf@HIDDEN> (Eli Zaretskii's message of "Mon, 01 Mar
 2021 21:48:46 +0200")
Message-ID: <874khu3aiw.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Eli Zaretskii <eliz@HIDDEN> writes: >> (set-face-attribute
 'variable-pitch nil :height 120) >> >> in my .emacs. > > Which exactly
 demonstrates
 that not all the faces will have their size > changed. Right? 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 46853
Cc: 46853 <at> debbugs.gnu.org, stefan@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> (set-face-attribute 'variable-pitch nil :height 120)
>> 
>> in my .emacs.
>
> Which exactly demonstrates that not all the faces will have their size
> changed.  Right?

Sure.  But the rules are a bit more subtle, so I wonder whether talking
about the "default face" everywhere is the best way of doing it.

My understanding of what it does is:

1) The default face is definitely adjusted (even if it has an explicit
   :height).

2) The header face is also adjusted (even if it has an explicit :height)
   and you have that variable set.

3) All other fonts will also be adjusted, except those with an explicit
   :height.

There may be other rules, too (are there other face attributes that
hinder size changes?), but this seems to indicate to me that we should
just say (as in Stefan's patches) "changes the size of the fonts", and
then link to a manual node that explains the three points above?

Does that sound reasonable? 

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46853; Package emacs. Full text available.

Message received at 46853 <at> debbugs.gnu.org:


Received: (at 46853) by debbugs.gnu.org; 1 Mar 2021 19:59:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 01 14:59:55 2021
Received: from localhost ([127.0.0.1]:50915 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lGohv-0003Ak-2O
	for submit <at> debbugs.gnu.org; Mon, 01 Mar 2021 14:59:55 -0500
Received: from eggs.gnu.org ([209.51.188.92]:35524)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lGoht-0003AZ-G0
 for 46853 <at> debbugs.gnu.org; Mon, 01 Mar 2021 14:59:53 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:52848)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lGohn-0005Rb-M3; Mon, 01 Mar 2021 14:59:47 -0500
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:1572
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lGohl-0004RU-1Z; Mon, 01 Mar 2021 14:59:45 -0500
Date: Mon, 01 Mar 2021 21:59:41 +0200
Message-Id: <83sg5e7ihe.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <87czwi3bfr.fsf@HIDDEN> (message from Lars Ingebrigtsen on Mon, 
 01 Mar 2021 20:45:28 +0100)
Subject: Re: bug#46853: Confusing terminology "face height" instead of "font
 size"
References: <CADwFkm=vsDvdEnmpo5BzBTTM=c-ETYHu3AxC-7ZSwT-pxvSK_A@HIDDEN>
 <875z2a4x2c.fsf@HIDDEN>
 <CADwFkmkF74NBPP+Hai-JUTD4UEiBXFiGHYaEkvx7TovCeNxdrQ@HIDDEN>
 <87tupu3cdd.fsf@HIDDEN> <83zgzm7jlu.fsf@HIDDEN> <87czwi3bfr.fsf@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46853
Cc: 46853 <at> debbugs.gnu.org, stefan@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Cc: stefan@HIDDEN,  46853 <at> debbugs.gnu.org
> Date: Mon, 01 Mar 2021 20:45:28 +0100
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> > No, it's because enlarging _all_ faces makes no sense.
> 
> I really thought that's how this command worked, but
> 
> emacs -Q -f list-faces-display
> 
> and then `C-x C-+' in the buffer enlarges all the faces, even
> variable-pitch...

It only enlarges those faces which inherit their size from 'default'.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46853; Package emacs. Full text available.

Message received at 46853 <at> debbugs.gnu.org:


Received: (at 46853) by debbugs.gnu.org; 1 Mar 2021 19:50:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 01 14:50:36 2021
Received: from localhost ([127.0.0.1]:50884 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lGoYt-0002w8-M4
	for submit <at> debbugs.gnu.org; Mon, 01 Mar 2021 14:50:35 -0500
Received: from eggs.gnu.org ([209.51.188.92]:33032)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lGoYs-0002vw-0I
 for 46853 <at> debbugs.gnu.org; Mon, 01 Mar 2021 14:50:34 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:52647)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lGoYm-0000tD-On; Mon, 01 Mar 2021 14:50:28 -0500
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:4982
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lGoYl-0008DE-RT; Mon, 01 Mar 2021 14:50:28 -0500
Date: Mon, 01 Mar 2021 21:50:26 +0200
Message-Id: <83tupu7iwt.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <87lfb63bto.fsf@HIDDEN> (message from Lars Ingebrigtsen on Mon, 
 01 Mar 2021 20:37:07 +0100)
Subject: Re: bug#46853: Confusing terminology "face height" instead of "font
 size"
References: <CADwFkm=vsDvdEnmpo5BzBTTM=c-ETYHu3AxC-7ZSwT-pxvSK_A@HIDDEN>
 <875z2a4x2c.fsf@HIDDEN>
 <CADwFkmkF74NBPP+Hai-JUTD4UEiBXFiGHYaEkvx7TovCeNxdrQ@HIDDEN>
 <87tupu3cdd.fsf@HIDDEN> <87pn0i3c0j.fsf@HIDDEN> <87lfb63bto.fsf@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46853
Cc: 46853 <at> debbugs.gnu.org, stefan@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Date: Mon, 01 Mar 2021 20:37:07 +0100
> Cc: 46853 <at> debbugs.gnu.org
> 
> Lars Ingebrigtsen <larsi@HIDDEN> writes:
> 
> > So you're totally right; sorry for the confusion here.
> 
> So now I don't understand the point of this:
> 
>     (when text-scale-remap-header-line
>       (face-remap--remap-face 'header-line)))
> 
> The variable is nil in emacs -Q, but this face, like all other faces, is
> resized by `C-x C-+'.

Not if the face is customized to define its own size, instead of
inheriting from the default face.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46853; Package emacs. Full text available.

Message received at 46853 <at> debbugs.gnu.org:


Received: (at 46853) by debbugs.gnu.org; 1 Mar 2021 19:48:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 01 14:48:58 2021
Received: from localhost ([127.0.0.1]:50876 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lGoXK-0002t7-3I
	for submit <at> debbugs.gnu.org; Mon, 01 Mar 2021 14:48:58 -0500
Received: from eggs.gnu.org ([209.51.188.92]:60844)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lGoXI-0002sv-Mn
 for 46853 <at> debbugs.gnu.org; Mon, 01 Mar 2021 14:48:57 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:52610)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lGoXD-0008Vr-DG; Mon, 01 Mar 2021 14:48:51 -0500
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:4877
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lGoXA-0007vH-Bq; Mon, 01 Mar 2021 14:48:49 -0500
Date: Mon, 01 Mar 2021 21:48:46 +0200
Message-Id: <83wnuq7izl.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <87pn0i3c0j.fsf@HIDDEN> (message from Lars Ingebrigtsen on Mon, 
 01 Mar 2021 20:33:00 +0100)
Subject: Re: bug#46853: Confusing terminology "face height" instead of "font
 size"
References: <CADwFkm=vsDvdEnmpo5BzBTTM=c-ETYHu3AxC-7ZSwT-pxvSK_A@HIDDEN>
 <875z2a4x2c.fsf@HIDDEN>
 <CADwFkmkF74NBPP+Hai-JUTD4UEiBXFiGHYaEkvx7TovCeNxdrQ@HIDDEN>
 <87tupu3cdd.fsf@HIDDEN> <87pn0i3c0j.fsf@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46853
Cc: 46853 <at> debbugs.gnu.org, stefan@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Date: Mon, 01 Mar 2021 20:33:00 +0100
> Cc: 46853 <at> debbugs.gnu.org
> 
> Playing with this a bit more, I'm getting a bit confused here...
> `C-x C-+' does indeed change the size of all the faces -- I had
> 
> (set-face-attribute 'variable-pitch nil :height 120)
> 
> in my .emacs.

Which exactly demonstrates that not all the faces will have their size
changed.  Right?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46853; Package emacs. Full text available.

Message received at 46853 <at> debbugs.gnu.org:


Received: (at 46853) by debbugs.gnu.org; 1 Mar 2021 19:46:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 01 14:46:32 2021
Received: from localhost ([127.0.0.1]:50872 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lGoUy-0002pv-7M
	for submit <at> debbugs.gnu.org; Mon, 01 Mar 2021 14:46:32 -0500
Received: from eggs.gnu.org ([209.51.188.92]:60256)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lGoUw-0002pg-Aq
 for 46853 <at> debbugs.gnu.org; Mon, 01 Mar 2021 14:46:30 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:52564)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lGoUq-0007VY-O2; Mon, 01 Mar 2021 14:46:24 -0500
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:4724
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lGoUo-0007nB-OE; Mon, 01 Mar 2021 14:46:23 -0500
Date: Mon, 01 Mar 2021 21:46:18 +0200
Message-Id: <83y2f67j3p.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <CADwFkmn9AtDAPjEo93KbDucjetctHqgoRV7zMP14Y5++vhqvxg@HIDDEN>
 (message from Stefan Kangas on Mon, 1 Mar 2021 13:31:44 -0600)
Subject: Re: bug#46853: Confusing terminology "face height" instead of "font
 size"
References: <CADwFkm=vsDvdEnmpo5BzBTTM=c-ETYHu3AxC-7ZSwT-pxvSK_A@HIDDEN>
 <835z2a952x.fsf@HIDDEN>
 <CADwFkmn9AtDAPjEo93KbDucjetctHqgoRV7zMP14Y5++vhqvxg@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46853
Cc: 46853 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Stefan Kangas <stefan@HIDDEN>
> Date: Mon, 1 Mar 2021 13:31:44 -0600
> Cc: 46853 <at> debbugs.gnu.org
> 
> Agreed, so here's a tentative diff.  It could probably use some
> polishing though.

Thanks.

First, this consistently removes the reference to the default face,
which loses information.  For example:

> -  To increase the height of the default face in the current buffer,
> -type @kbd{C-x C-+} or @kbd{C-x C-=}.  To decrease it, type @kbd{C-x
> -C--}.  To restore the default (global) face height, type @kbd{C-x
> -C-0}.  These keys are all bound to the same command,
> -@code{text-scale-adjust}, which looks at the last key typed to
> -determine which action to take.
> +  To increase the font size in the current buffer, type @kbd{C-x C-+}

This should be

  To increase the height of the default face's font, type ...

Please also retain the reference to the default face in all the other
places where it was mentioned before.

> --- a/lisp/cus-face.el
> +++ b/lisp/cus-face.el
> @@ -73,9 +73,9 @@ custom-face-attributes
>  
>      (:height
>       (choice :tag "Height"
> -	     :help-echo "Face's font height."
> +             :help-echo "Font size."

Here' I suggest "Face's font size."  There's no need to remove the
reference to the face, since in Emacs a font is just one attribute of
the face.

> -Each positive or negative step scales the default face height by this amount."
> +Each positive or negative step scales the default font size by this amount."

There's no such thing as "the default font", please use "the size of
the default face's font" instead.

> -        (user-error "Cannot %s the default face height more than it already is"
> +        (user-error "Cannot %s the font size any further"

Please keep the reference to the default face here.

> +   +, =   Increase default font size in current buffer by one step
> +   -      Decrease default font size in current buffer by one step

"Default font" again.

>  `:height'
>  
> -VALUE specifies the relative or absolute height of the font.  An
> -absolute height is an integer, and specifies font height in units
> -of 1/10 pt.  A relative height is either a floating point number,
> -which specifies a scaling factor for the underlying face height;
> -or a function that takes a single argument (the underlying face
> -height) and returns the new height.  Note that for the `default'
> -face, you must specify an absolute height (since there is nothing
> -for it to be relative to).
> +VALUE specifies the relative or absolute font size (height of the
> +font).  An absolute height is an integer, and specifies font height in
> +units of 1/10 pt.  A relative height is either a floating point
> +number, which specifies a scaling factor for the underlying face
> +height; or a function that takes a single argument (the underlying
> +face height) and returns the new height.  Note that for the `default'
> +face, you must specify an absolute height (since there is nothing for
> +it to be relative to).

I don't understand the point of this change.  My suggestion would be
to leave the original text intact, and add to it a note saying that
this affects the size of the font, not just its height.

> --- a/lisp/play/gamegrid.el
> +++ b/lisp/play/gamegrid.el
> @@ -452,6 +452,7 @@ gamegrid-init-buffer
>      ;; Adjust the height of the default face to the height of the
>      ;; images. Unlike XEmacs, Emacs doesn't allow making the default
>      ;; face buffer-local; so we do this with an overlay.
> +    ;; FIXME: Is the above correct?  See face-remap.el.

No, this was written before we had face-remap.el.  But that doesn't
belong to this issue.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46853; Package emacs. Full text available.

Message received at 46853 <at> debbugs.gnu.org:


Received: (at 46853) by debbugs.gnu.org; 1 Mar 2021 19:45:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 01 14:45:41 2021
Received: from localhost ([127.0.0.1]:50868 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lGoU8-0002oB-V5
	for submit <at> debbugs.gnu.org; Mon, 01 Mar 2021 14:45:41 -0500
Received: from quimby.gnus.org ([95.216.78.240]:47066)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1lGoU7-0002ny-0o
 for 46853 <at> debbugs.gnu.org; Mon, 01 Mar 2021 14:45:39 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=DD3JU1J2aogoBeS+Gi86YBm1tmVnb9AGZYv3kaxcTdI=; b=HPk8z+748zGJv9lUE/hQ8U/Xpt
 QNzbBc6UdbQzd5QtaTJIGINFe8WepnWrELHiZhhVJyC4K2vcqljnEQr2NoqSfHqjzy62nAcipPleR
 1OuC6DFY1cd4nvqXzpwW32ngHAzpJb6PClpYjfriBDcHYu6beHsNxJSQ89Y1nEtAHqoQ=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1lGoTx-000586-Ij; Mon, 01 Mar 2021 20:45:32 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#46853: Confusing terminology "face height" instead of "font
 size"
References: <CADwFkm=vsDvdEnmpo5BzBTTM=c-ETYHu3AxC-7ZSwT-pxvSK_A@HIDDEN>
 <875z2a4x2c.fsf@HIDDEN>
 <CADwFkmkF74NBPP+Hai-JUTD4UEiBXFiGHYaEkvx7TovCeNxdrQ@HIDDEN>
 <87tupu3cdd.fsf@HIDDEN> <83zgzm7jlu.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAKlBMVEUySCyxqa3c2dL1
 8epATTvFw72mmqSViJWHeYZmWWaBcn5EOEYhHCT///97BQpkAAAAAWJLR0QN9rRh9QAAAAd0SU1F
 B+UDARMWI9Xe5KgAAAFvSURBVDjLrdRBUsIwFAbgLjiAxbHoThu8ANWDIMPoFhno2nGGgrpxVTrs
 oaFcgPECZF4u0EkO5UuwkrRUXfh3l2/ea5u81nGcpq9CSMcv0nZ0ekE5Bbil9AoIIzvPdTD8G8wx
 x2CeUErXcQWmCQUARrUMbw6QZFIFtBgwpVwtA4g0tmC20QWCS5bawOWXCGxmQKJWWaaYVUCk4UcF
 triSv/utjRQK2hbsSHD1ihVzE/BpxSMexAN2XBmAryGWBOGeV4Cpc+x4XObWPRZ8pwqCLr6htYkL
 YMchAd2qi63SEsCI4C3OpYgtmGV8OcD5uNjD5R5IGL1knKXeWf9N5pEFUwoClgPcElaCLe5sDkLC
 yoZIHbnaYRaXAA8d1DSkehJNwGYI6/34mKAGiNL4CCB9T2IJDrP7K3iuNzZzuocGqXxqRUUNNH6A
 29UkfBq3JkN35LpNs8In1/pbx8snf2lVA0ENOAP9O+gfcnfi/Gs+AejfWZ5yZIrMAAAAJXRFWHRk
 YXRlOmNyZWF0ZQAyMDIxLTAzLTAxVDE5OjIyOjM1KzAwOjAwjD6/LAAAACV0RVh0ZGF0ZTptb2Rp
 ZnkAMjAyMS0wMy0wMVQxOToyMjozNSswMDowMP1jB5AAAAAASUVORK5CYII=
X-Now-Playing: Panoptique Electrical's _Quiet Ecology_: "Footfalls"
Date: Mon, 01 Mar 2021 20:45:28 +0100
In-Reply-To: <83zgzm7jlu.fsf@HIDDEN> (Eli Zaretskii's message of "Mon, 01 Mar
 2021 21:35:25 +0200")
Message-ID: <87czwi3bfr.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Eli Zaretskii <eliz@HIDDEN> writes: > No,
 it's because enlarging
 _all_ faces makes no sense. I really thought that's how this command worked,
 but Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 46853
Cc: 46853 <at> debbugs.gnu.org, stefan@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> No, it's because enlarging _all_ faces makes no sense.

I really thought that's how this command worked, but

emacs -Q -f list-faces-display

and then `C-x C-+' in the buffer enlarges all the faces, even
variable-pitch...

Is this something that varies by system Emacs is running on?  

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46853; Package emacs. Full text available.

Message received at 46853 <at> debbugs.gnu.org:


Received: (at 46853) by debbugs.gnu.org; 1 Mar 2021 19:37:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 01 14:37:18 2021
Received: from localhost ([127.0.0.1]:50859 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lGoM1-0002bi-Ra
	for submit <at> debbugs.gnu.org; Mon, 01 Mar 2021 14:37:18 -0500
Received: from quimby.gnus.org ([95.216.78.240]:47016)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1lGoM0-0002bV-Pk
 for 46853 <at> debbugs.gnu.org; Mon, 01 Mar 2021 14:37:17 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=mWLLy2ky+HLmmvqPI9V67VSVJjTgDK6e3RhNYRAex0E=; b=rQtprg51AHIi/1wpQ5Gw3ujvZQ
 P28QZIJJx4/JgdVV1boTg2eME5xG2bZtFGkjGmMFLc+mD9GcY0zftLgyGmRkWdOt9pNA9EFSP3JFe
 2JhlR/NUkI+cnEYSiHf8947JOp4/Q9N5ABQpVWp/IBwGkylmW9YnHJAmA7dAvXql0w4U=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1lGoLs-00053B-RC; Mon, 01 Mar 2021 20:37:11 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
Subject: Re: bug#46853: Confusing terminology "face height" instead of "font
 size"
References: <CADwFkm=vsDvdEnmpo5BzBTTM=c-ETYHu3AxC-7ZSwT-pxvSK_A@HIDDEN>
 <875z2a4x2c.fsf@HIDDEN>
 <CADwFkmkF74NBPP+Hai-JUTD4UEiBXFiGHYaEkvx7TovCeNxdrQ@HIDDEN>
 <87tupu3cdd.fsf@HIDDEN> <87pn0i3c0j.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAKlBMVEUySCyxqa3c2dL1
 8epATTvFw72mmqSViJWHeYZmWWaBcn5EOEYhHCT///97BQpkAAAAAWJLR0QN9rRh9QAAAAd0SU1F
 B+UDARMWI9Xe5KgAAAFvSURBVDjLrdRBUsIwFAbgLjiAxbHoThu8ANWDIMPoFhno2nGGgrpxVTrs
 oaFcgPECZF4u0EkO5UuwkrRUXfh3l2/ea5u81nGcpq9CSMcv0nZ0ekE5Bbil9AoIIzvPdTD8G8wx
 x2CeUErXcQWmCQUARrUMbw6QZFIFtBgwpVwtA4g0tmC20QWCS5bawOWXCGxmQKJWWaaYVUCk4UcF
 triSv/utjRQK2hbsSHD1ihVzE/BpxSMexAN2XBmAryGWBOGeV4Cpc+x4XObWPRZ8pwqCLr6htYkL
 YMchAd2qi63SEsCI4C3OpYgtmGV8OcD5uNjD5R5IGL1knKXeWf9N5pEFUwoClgPcElaCLe5sDkLC
 yoZIHbnaYRaXAA8d1DSkehJNwGYI6/34mKAGiNL4CCB9T2IJDrP7K3iuNzZzuocGqXxqRUUNNH6A
 29UkfBq3JkN35LpNs8In1/pbx8snf2lVA0ENOAP9O+gfcnfi/Gs+AejfWZ5yZIrMAAAAJXRFWHRk
 YXRlOmNyZWF0ZQAyMDIxLTAzLTAxVDE5OjIyOjM1KzAwOjAwjD6/LAAAACV0RVh0ZGF0ZTptb2Rp
 ZnkAMjAyMS0wMy0wMVQxOToyMjozNSswMDowMP1jB5AAAAAASUVORK5CYII=
X-Now-Playing: Panoptique Electrical's _Quiet Ecology_: "In A Vow Of Silence"
Date: Mon, 01 Mar 2021 20:37:07 +0100
In-Reply-To: <87pn0i3c0j.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Mon,
 01 Mar 2021 20:33:00 +0100")
Message-ID: <87lfb63bto.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Lars Ingebrigtsen <larsi@HIDDEN> writes: > So you're
 totally
 right; sorry for the confusion here. So now I don't understand the point
 of this: 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 46853
Cc: 46853 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> So you're totally right; sorry for the confusion here.

So now I don't understand the point of this:

    (when text-scale-remap-header-line
      (face-remap--remap-face 'header-line)))

The variable is nil in emacs -Q, but this face, like all other faces, is
resized by `C-x C-+'.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46853; Package emacs. Full text available.

Message received at 46853 <at> debbugs.gnu.org:


Received: (at 46853) by debbugs.gnu.org; 1 Mar 2021 19:35:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 01 14:35:33 2021
Received: from localhost ([127.0.0.1]:50855 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lGoKL-0002Z6-GZ
	for submit <at> debbugs.gnu.org; Mon, 01 Mar 2021 14:35:33 -0500
Received: from eggs.gnu.org ([209.51.188.92]:57292)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lGoKK-0002Yv-Mm
 for 46853 <at> debbugs.gnu.org; Mon, 01 Mar 2021 14:35:33 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:52289)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lGoKF-0002SP-GM; Mon, 01 Mar 2021 14:35:27 -0500
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:4057
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lGoKE-0006kP-B7; Mon, 01 Mar 2021 14:35:26 -0500
Date: Mon, 01 Mar 2021 21:35:25 +0200
Message-Id: <83zgzm7jlu.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <87tupu3cdd.fsf@HIDDEN> (message from Lars Ingebrigtsen on Mon, 
 01 Mar 2021 20:25:18 +0100)
Subject: Re: bug#46853: Confusing terminology "face height" instead of "font
 size"
References: <CADwFkm=vsDvdEnmpo5BzBTTM=c-ETYHu3AxC-7ZSwT-pxvSK_A@HIDDEN>
 <875z2a4x2c.fsf@HIDDEN>
 <CADwFkmkF74NBPP+Hai-JUTD4UEiBXFiGHYaEkvx7TovCeNxdrQ@HIDDEN>
 <87tupu3cdd.fsf@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46853
Cc: 46853 <at> debbugs.gnu.org, stefan@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Date: Mon, 01 Mar 2021 20:25:18 +0100
> Cc: 46853 <at> debbugs.gnu.org
> 
>   (when text-scale-mode
>     (face-remap--remap-face 'default)
>     (when text-scale-remap-header-line
>       (face-remap--remap-face 'header-line)))
> 
> So, OK, it's not just the `default' face, but also `header-line'
> optionally.  :-)

You can remap other faces by hand, but that's not the original
question.

> > But I'd argue that it's a bug -- why shouldn't `C-x C-+' adjust
> > the size of `variable-pitch'?
> 
> I don't know the history of the command...  could it be because
> remapping all faces would just be too slow?

No, it's because enlarging _all_ faces makes no sense.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46853; Package emacs. Full text available.

Message received at 46853 <at> debbugs.gnu.org:


Received: (at 46853) by debbugs.gnu.org; 1 Mar 2021 19:33:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 01 14:33:52 2021
Received: from localhost ([127.0.0.1]:50843 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lGoIh-0002VW-HB
	for submit <at> debbugs.gnu.org; Mon, 01 Mar 2021 14:33:52 -0500
Received: from eggs.gnu.org ([209.51.188.92]:56268)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lGoIg-0002VJ-L6
 for 46853 <at> debbugs.gnu.org; Mon, 01 Mar 2021 14:33:50 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:52224)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lGoIb-0001Yg-BY; Mon, 01 Mar 2021 14:33:45 -0500
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:3950
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lGoIa-0006YJ-OL; Mon, 01 Mar 2021 14:33:45 -0500
Date: Mon, 01 Mar 2021 21:33:39 +0200
Message-Id: <831rcy8y98.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <CADwFkmkF74NBPP+Hai-JUTD4UEiBXFiGHYaEkvx7TovCeNxdrQ@HIDDEN>
 (message from Stefan Kangas on Mon, 1 Mar 2021 13:15:57 -0600)
Subject: Re: bug#46853: Confusing terminology "face height" instead of "font
 size"
References: <CADwFkm=vsDvdEnmpo5BzBTTM=c-ETYHu3AxC-7ZSwT-pxvSK_A@HIDDEN>
 <875z2a4x2c.fsf@HIDDEN>
 <CADwFkmkF74NBPP+Hai-JUTD4UEiBXFiGHYaEkvx7TovCeNxdrQ@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46853
Cc: 46853 <at> debbugs.gnu.org, larsi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Stefan Kangas <stefan@HIDDEN>
> Date: Mon, 1 Mar 2021 13:15:57 -0600
> Cc: 46853 <at> debbugs.gnu.org
> 
> But I'd argue that it's a bug -- why shouldn't `C-x C-+' adjust
> the size of `variable-pitch'?

Because the command only changes the size of the 'default' face and
all the faces that inherit from it.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46853; Package emacs. Full text available.

Message received at 46853 <at> debbugs.gnu.org:


Received: (at 46853) by debbugs.gnu.org; 1 Mar 2021 19:33:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 01 14:33:13 2021
Received: from localhost ([127.0.0.1]:50840 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lGoI5-0002Uh-7A
	for submit <at> debbugs.gnu.org; Mon, 01 Mar 2021 14:33:13 -0500
Received: from quimby.gnus.org ([95.216.78.240]:46870)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1lGoI4-0002UU-9x
 for 46853 <at> debbugs.gnu.org; Mon, 01 Mar 2021 14:33:12 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=X1DFo8ZdwJarMukglK/RTF/12tV9FXuGD8a1kHYZpos=; b=UHce2ukQFp1yuYXWS0J7uWUPdp
 akWYEiStltYX3maRvosT/EgIa3SIA+1cA/IMYZf+a3YIDjr8BXyFCPru5cgAZSYiVdXmxSt9lXIfw
 hIG31ja0y+Qrm9Xv+iG1sY7ZFoHFMRiv5ntLm3ZT1Gv0oG7VPAchjXmvKXo/pirGVD2U=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1lGoHu-00051e-55; Mon, 01 Mar 2021 20:33:05 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
Subject: Re: bug#46853: Confusing terminology "face height" instead of "font
 size"
References: <CADwFkm=vsDvdEnmpo5BzBTTM=c-ETYHu3AxC-7ZSwT-pxvSK_A@HIDDEN>
 <875z2a4x2c.fsf@HIDDEN>
 <CADwFkmkF74NBPP+Hai-JUTD4UEiBXFiGHYaEkvx7TovCeNxdrQ@HIDDEN>
 <87tupu3cdd.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAKlBMVEUySCyxqa3c2dL1
 8epATTvFw72mmqSViJWHeYZmWWaBcn5EOEYhHCT///97BQpkAAAAAWJLR0QN9rRh9QAAAAd0SU1F
 B+UDARMWI9Xe5KgAAAFvSURBVDjLrdRBUsIwFAbgLjiAxbHoThu8ANWDIMPoFhno2nGGgrpxVTrs
 oaFcgPECZF4u0EkO5UuwkrRUXfh3l2/ea5u81nGcpq9CSMcv0nZ0ekE5Bbil9AoIIzvPdTD8G8wx
 x2CeUErXcQWmCQUARrUMbw6QZFIFtBgwpVwtA4g0tmC20QWCS5bawOWXCGxmQKJWWaaYVUCk4UcF
 triSv/utjRQK2hbsSHD1ihVzE/BpxSMexAN2XBmAryGWBOGeV4Cpc+x4XObWPRZ8pwqCLr6htYkL
 YMchAd2qi63SEsCI4C3OpYgtmGV8OcD5uNjD5R5IGL1knKXeWf9N5pEFUwoClgPcElaCLe5sDkLC
 yoZIHbnaYRaXAA8d1DSkehJNwGYI6/34mKAGiNL4CCB9T2IJDrP7K3iuNzZzuocGqXxqRUUNNH6A
 29UkfBq3JkN35LpNs8In1/pbx8snf2lVA0ENOAP9O+gfcnfi/Gs+AejfWZ5yZIrMAAAAJXRFWHRk
 YXRlOmNyZWF0ZQAyMDIxLTAzLTAxVDE5OjIyOjM1KzAwOjAwjD6/LAAAACV0RVh0ZGF0ZTptb2Rp
 ZnkAMjAyMS0wMy0wMVQxOToyMjozNSswMDowMP1jB5AAAAAASUVORK5CYII=
X-Now-Playing: Panoptique Electrical's _Quiet Ecology_: "The World Is So Loud"
Date: Mon, 01 Mar 2021 20:33:00 +0100
In-Reply-To: <87tupu3cdd.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Mon,
 01 Mar 2021 20:25:18 +0100")
Message-ID: <87pn0i3c0j.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Lars Ingebrigtsen <larsi@HIDDEN> writes: > So, OK, it's
 not just the `default' face, but also `header-line' > optionally. :-) Playing
 with this a bit more, I'm getting a bit confused here... `C-x C-+' does indeed
 change the size of all the faces -- I had 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 46853
Cc: 46853 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> So, OK, it's not just the `default' face, but also `header-line'
> optionally.  :-)

Playing with this a bit more, I'm getting a bit confused here...
`C-x C-+' does indeed change the size of all the faces -- I had

(set-face-attribute 'variable-pitch nil :height 120)

in my .emacs.

So you're totally right; sorry for the confusion here.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46853; Package emacs. Full text available.

Message received at 46853 <at> debbugs.gnu.org:


Received: (at 46853) by debbugs.gnu.org; 1 Mar 2021 19:31:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 01 14:31:54 2021
Received: from localhost ([127.0.0.1]:50836 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lGoGn-0002SK-G2
	for submit <at> debbugs.gnu.org; Mon, 01 Mar 2021 14:31:54 -0500
Received: from mail-pl1-f178.google.com ([209.85.214.178]:37176)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1lGoGl-0002S7-37
 for 46853 <at> debbugs.gnu.org; Mon, 01 Mar 2021 14:31:51 -0500
Received: by mail-pl1-f178.google.com with SMTP id p5so10553981plo.4
 for <46853 <at> debbugs.gnu.org>; Mon, 01 Mar 2021 11:31:51 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:cc;
 bh=1hRHjz4SAX3Y8Cm/rnVTmfxs5TOw/l2LueyM3cUq2qM=;
 b=rYGHHiM7cgG/1sBn/1fnOXOk8owira0xXm9pWtO7HckymTCm45izAProUSE7Q3o6el
 AMAfia30OXTGIMcTHsNSQgxnbaFPSjiRn8M7u7ZxIuhHiabkdIKiVjCAuwJgbVnv00Eo
 cGET7taE1tXKpDkQJBDZnn4VtDkDIm7rC5CLWH1DeTfoH8+r2m3N9gozhECew3mWufP6
 9hoN6YyXlvEjDchA1HFXMuDgx0ae/xaxlAakcTvi7ShSwu46nZcmyHdWkRo/hQvyCXqa
 IQQGsNd5bEG29Ojd1uzyfLlY3gTLo0NdVA6uhKGc272oRnaDKXTnpm1M/2bL5v7oGliL
 CguQ==
X-Gm-Message-State: AOAM532d5e0R1lR+VlQ/tM4XtrxSOVwZZDbsdDtiN7SD+o+Ghhf238+5
 +jEETgvjoTM5UYw1TDrqI6GVDvjT48YcMNufwJU=
X-Google-Smtp-Source: ABdhPJz4JGefYSfyuFepjY/TTt/JMXdyqK/+QrhoFiic+qhSQDgq1UUXrtAomu0TzTxRCVG/STEGWIRDUr/UqQpTDZE=
X-Received: by 2002:a17:903:31c4:b029:e1:8840:8ab9 with SMTP id
 v4-20020a17090331c4b02900e188408ab9mr249420ple.70.1614627105053; Mon, 01 Mar
 2021 11:31:45 -0800 (PST)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Mon, 1 Mar 2021 13:31:44 -0600
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <835z2a952x.fsf@HIDDEN>
References: <CADwFkm=vsDvdEnmpo5BzBTTM=c-ETYHu3AxC-7ZSwT-pxvSK_A@HIDDEN>
 <835z2a952x.fsf@HIDDEN>
MIME-Version: 1.0
Date: Mon, 1 Mar 2021 13:31:44 -0600
Message-ID: <CADwFkmn9AtDAPjEo93KbDucjetctHqgoRV7zMP14Y5++vhqvxg@HIDDEN>
Subject: Re: bug#46853: Confusing terminology "face height" instead of "font
 size"
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: multipart/mixed; boundary="0000000000000ac52005bc7eabcc"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 46853
Cc: 46853 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

--0000000000000ac52005bc7eabcc
Content-Type: text/plain; charset="UTF-8"

Eli Zaretskii <eliz@HIDDEN> writes:

> It's okay to make that change in this example, but one example is not
> enough to understand what else is on the table.  How about showing a
> patch, or at least the full list of places where you think we have
> similar problems?  This should IMO be handled on a case by case basis
> anyway.

Agreed, so here's a tentative diff.  It could probably use some
polishing though.

--0000000000000ac52005bc7eabcc
Content-Type: text/x-diff; charset="US-ASCII"; name="font-size.diff"
Content-Disposition: attachment; filename="font-size.diff"
Content-Transfer-Encoding: base64
X-Attachment-Id: 2b5574df860f97ed_0.1
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--0000000000000ac52005bc7eabcc--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46853; Package emacs. Full text available.

Message received at 46853 <at> debbugs.gnu.org:


Received: (at 46853) by debbugs.gnu.org; 1 Mar 2021 19:25:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 01 14:25:37 2021
Received: from localhost ([127.0.0.1]:50831 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lGoAd-0002Ib-9r
	for submit <at> debbugs.gnu.org; Mon, 01 Mar 2021 14:25:36 -0500
Received: from quimby.gnus.org ([95.216.78.240]:46818)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1lGoAb-0002IO-Dj
 for 46853 <at> debbugs.gnu.org; Mon, 01 Mar 2021 14:25:29 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=CgBIAWhy3AMHX4VcvLF0M+mioemeIfsmXtgw9B3SiLo=; b=rJ4WsF4sa5G8Qra0OKGA5FSuZ2
 TJ8/fFPzBd+QwkPpSDX5DzcLBr+R2ybi7N+t2rVwEkkYg/d90t3zuBgjrlasVGIjyrFcPqOihJL4M
 68UqITuShDsMrpo5G4aqAByKiL+sYyGBYsOfwiedv6EldEHR3DssrLSi32lqduN8axnU=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1lGoAS-0004xq-49; Mon, 01 Mar 2021 20:25:22 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
Subject: Re: bug#46853: Confusing terminology "face height" instead of "font
 size"
References: <CADwFkm=vsDvdEnmpo5BzBTTM=c-ETYHu3AxC-7ZSwT-pxvSK_A@HIDDEN>
 <875z2a4x2c.fsf@HIDDEN>
 <CADwFkmkF74NBPP+Hai-JUTD4UEiBXFiGHYaEkvx7TovCeNxdrQ@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAKlBMVEUySCyxqa3c2dL1
 8epATTvFw72mmqSViJWHeYZmWWaBcn5EOEYhHCT///97BQpkAAAAAWJLR0QN9rRh9QAAAAd0SU1F
 B+UDARMWI9Xe5KgAAAFvSURBVDjLrdRBUsIwFAbgLjiAxbHoThu8ANWDIMPoFhno2nGGgrpxVTrs
 oaFcgPECZF4u0EkO5UuwkrRUXfh3l2/ea5u81nGcpq9CSMcv0nZ0ekE5Bbil9AoIIzvPdTD8G8wx
 x2CeUErXcQWmCQUARrUMbw6QZFIFtBgwpVwtA4g0tmC20QWCS5bawOWXCGxmQKJWWaaYVUCk4UcF
 triSv/utjRQK2hbsSHD1ihVzE/BpxSMexAN2XBmAryGWBOGeV4Cpc+x4XObWPRZ8pwqCLr6htYkL
 YMchAd2qi63SEsCI4C3OpYgtmGV8OcD5uNjD5R5IGL1knKXeWf9N5pEFUwoClgPcElaCLe5sDkLC
 yoZIHbnaYRaXAA8d1DSkehJNwGYI6/34mKAGiNL4CCB9T2IJDrP7K3iuNzZzuocGqXxqRUUNNH6A
 29UkfBq3JkN35LpNs8In1/pbx8snf2lVA0ENOAP9O+gfcnfi/Gs+AejfWZ5yZIrMAAAAJXRFWHRk
 YXRlOmNyZWF0ZQAyMDIxLTAzLTAxVDE5OjIyOjM1KzAwOjAwjD6/LAAAACV0RVh0ZGF0ZTptb2Rp
 ZnkAMjAyMS0wMy0wMVQxOToyMjozNSswMDowMP1jB5AAAAAASUVORK5CYII=
X-Now-Playing: Panoptique Electrical's _Quiet Ecology_: "The World Is So Loud"
Date: Mon, 01 Mar 2021 20:25:18 +0100
In-Reply-To: <CADwFkmkF74NBPP+Hai-JUTD4UEiBXFiGHYaEkvx7TovCeNxdrQ@HIDDEN>
 (Stefan Kangas's message of "Mon, 1 Mar 2021 13:15:57 -0600")
Message-ID: <87tupu3cdd.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Stefan Kangas <stefan@HIDDEN> writes: > Hmm,
 I'm not seeing
 the same here in emacs -Q. Does it really make the faces bigger... or just
 add more vertical blank space? It just calls: 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 46853
Cc: 46853 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Stefan Kangas <stefan@HIDDEN> writes:

> Hmm, I'm not seeing the same here in emacs -Q.

Does it really make the faces bigger...  or just add more vertical blank
space?  It just calls:

  (when text-scale-mode
    (face-remap--remap-face 'default)
    (when text-scale-remap-header-line
      (face-remap--remap-face 'header-line)))

So, OK, it's not just the `default' face, but also `header-line'
optionally.  :-)

> But I'd argue that it's a bug -- why shouldn't `C-x C-+' adjust
> the size of `variable-pitch'?

I don't know the history of the command...  could it be because
remapping all faces would just be too slow?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46853; Package emacs. Full text available.

Message received at 46853 <at> debbugs.gnu.org:


Received: (at 46853) by debbugs.gnu.org; 1 Mar 2021 19:16:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 01 14:16:06 2021
Received: from localhost ([127.0.0.1]:50821 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lGo1W-00024v-Hb
	for submit <at> debbugs.gnu.org; Mon, 01 Mar 2021 14:16:06 -0500
Received: from mail-pg1-f177.google.com ([209.85.215.177]:37589)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1lGo1T-00024A-PK
 for 46853 <at> debbugs.gnu.org; Mon, 01 Mar 2021 14:16:05 -0500
Received: by mail-pg1-f177.google.com with SMTP id o10so12240575pgg.4
 for <46853 <at> debbugs.gnu.org>; Mon, 01 Mar 2021 11:16:03 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:cc;
 bh=Ylbf4EdZXv55593YDIKLiAvFMHw+J0+v1JYdEyHRsjs=;
 b=A+iqHNSo1NFHFWCTZK5g9clSBfGXoA4bO0wB7FuROckaih3uLaHZJeVzjIyFNtaYWD
 Xkw33mk9wXRi/915P6vijwwwNtg3gXkSongoK0hMTRuYaQB5pDDhUaYvWSMV5JwNQ0jo
 ISbWUYU3LKBLdqFkqBkFIxmZbEJb8nV1ohQjHQf/0IxUo2q5SxvbIqHaO/bW7SNBuXc+
 WD2RuCy3E05E0Vr0I5LKR7Cwv/dhGrjh/Q+MCsGzq1iOQEZRubRee/FMnRA9B9YJMG0h
 VutQqO0R+rJMpchn2Wc0NniJkHrIp5N3IEFPKglGV5IQltGv+rIo2MKt55kemUqfgs8O
 G45g==
X-Gm-Message-State: AOAM533kE+FlmuUUETTYQXQAArZSv8ffKSyCZbyB5KKVl61lMqKNnQic
 veOOltKUtBMzsgYHKmXCU3bpMEzMw6M+CW1JxiE=
X-Google-Smtp-Source: ABdhPJwSRPhLBJFeJavY7rvGl1VO/YVIRYZLzCUmTct/OWMxOcM/GbDttMfxE3coVSf+FZgJLfHBjpHXy1kOOuWmLeI=
X-Received: by 2002:a63:ed02:: with SMTP id d2mr15382920pgi.67.1614626157930; 
 Mon, 01 Mar 2021 11:15:57 -0800 (PST)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Mon, 1 Mar 2021 13:15:57 -0600
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <875z2a4x2c.fsf@HIDDEN>
References: <CADwFkm=vsDvdEnmpo5BzBTTM=c-ETYHu3AxC-7ZSwT-pxvSK_A@HIDDEN>
 <875z2a4x2c.fsf@HIDDEN>
MIME-Version: 1.0
Date: Mon, 1 Mar 2021 13:15:57 -0600
Message-ID: <CADwFkmkF74NBPP+Hai-JUTD4UEiBXFiGHYaEkvx7TovCeNxdrQ@HIDDEN>
Subject: Re: bug#46853: Confusing terminology "face height" instead of "font
 size"
To: Lars Ingebrigtsen <larsi@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 46853
Cc: 46853 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> But...  is that correct?  I thought the command only adjusted the size
> of the font of the default face (*phew*)...  let's see....  Yup.  I
> tried using it in a eww buffer (which uses variable-pitch and not
> default) and the `C-x C-+' didn't change the font size.  (It made the
> lines taller, though...  Oh, right, some of the spaces use `default'.)

Hmm, I'm not seeing the same here in emacs -Q.

But I'd argue that it's a bug -- why shouldn't `C-x C-+' adjust
the size of `variable-pitch'?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46853; Package emacs. Full text available.

Message received at 46853 <at> debbugs.gnu.org:


Received: (at 46853) by debbugs.gnu.org; 1 Mar 2021 17:18:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 01 12:18:03 2021
Received: from localhost ([127.0.0.1]:50689 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lGmBH-0007iD-My
	for submit <at> debbugs.gnu.org; Mon, 01 Mar 2021 12:18:03 -0500
Received: from eggs.gnu.org ([209.51.188.92]:46174)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lGmBG-0007hj-75
 for 46853 <at> debbugs.gnu.org; Mon, 01 Mar 2021 12:18:02 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:49730)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lGmBA-00087B-P8; Mon, 01 Mar 2021 12:17:56 -0500
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:3469
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lGmB8-0000YQ-TP; Mon, 01 Mar 2021 12:17:55 -0500
Date: Mon, 01 Mar 2021 19:17:51 +0200
Message-Id: <8335xe94jk.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <875z2a4x2c.fsf@HIDDEN> (message from Lars Ingebrigtsen on Mon, 
 01 Mar 2021 18:12:59 +0100)
Subject: Re: bug#46853: Confusing terminology "face height" instead of "font
 size"
References: <CADwFkm=vsDvdEnmpo5BzBTTM=c-ETYHu3AxC-7ZSwT-pxvSK_A@HIDDEN>
 <875z2a4x2c.fsf@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46853
Cc: 46853 <at> debbugs.gnu.org, stefan@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Date: Mon, 01 Mar 2021 18:12:59 +0100
> Cc: 46853 <at> debbugs.gnu.org
> 
> Stefan Kangas <stefan@HIDDEN> writes:
> 
> >    "Adjust the font size in the current buffer by INC steps."
> 
> But...  is that correct?  I thought the command only adjusted the size
> of the font of the default face (*phew*)...

Yes.  So:

  Adjust size of the default face's font in current buffer by INC steps.

(with some "the" omitted for brevity).




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46853; Package emacs. Full text available.

Message received at 46853 <at> debbugs.gnu.org:


Received: (at 46853) by debbugs.gnu.org; 1 Mar 2021 17:13:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 01 12:13:13 2021
Received: from localhost ([127.0.0.1]:50679 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lGm6a-0007aR-T9
	for submit <at> debbugs.gnu.org; Mon, 01 Mar 2021 12:13:13 -0500
Received: from quimby.gnus.org ([95.216.78.240]:45316)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1lGm6Y-0007aC-P4
 for 46853 <at> debbugs.gnu.org; Mon, 01 Mar 2021 12:13:11 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=2MIREOOumL5V674xpru/9ZtosH/egp+Q3lbe04jfI/w=; b=NkiitSKFvRGPjon20duq3z4bH8
 9UM4h8/n2Rt1HT1lwAB2koad6tJjbrkbVGmSZLxWTBMQOVS4fMefP546WXq+zkCZNX+i061qn91J7
 JIMyybAH7KeV+16J6f/Ui4DkhlzMuUg+c2yODQVYVDhMwY4bHJE3aO0UW9jglyOU1z5Y=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1lGm6O-0003xe-QM; Mon, 01 Mar 2021 18:13:03 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
Subject: Re: bug#46853: Confusing terminology "face height" instead of "font
 size"
References: <CADwFkm=vsDvdEnmpo5BzBTTM=c-ETYHu3AxC-7ZSwT-pxvSK_A@HIDDEN>
X-Now-Playing: Jungle Brothers's _Straight Out The Jungle (1)_: "Ill House You"
Date: Mon, 01 Mar 2021 18:12:59 +0100
In-Reply-To: <CADwFkm=vsDvdEnmpo5BzBTTM=c-ETYHu3AxC-7ZSwT-pxvSK_A@HIDDEN>
 (Stefan Kangas's message of "Mon, 1 Mar 2021 10:40:07 -0600")
Message-ID: <875z2a4x2c.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Stefan Kangas <stefan@HIDDEN> writes: > This is harder
 than it needs to be to understand, since the rest of the > world actually
 talks about "increase font size". IOW, it would be more > clear if it said:
 > > "Adjust the font size in the [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 46853
Cc: 46853 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Stefan Kangas <stefan@HIDDEN> writes:

> This is harder than it needs to be to understand, since the rest of the
> world actually talks about "increase font size".  IOW, it would be more
> clear if it said:
>
>    "Adjust the font size in the current buffer by INC steps."

But...  is that correct?  I thought the command only adjusted the size
of the font of the default face (*phew*)...  let's see....  Yup.  I
tried using it in a eww buffer (which uses variable-pitch and not
default) and the `C-x C-+' didn't change the font size.  (It made the
lines taller, though...  Oh, right, some of the spaces use `default'.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46853; Package emacs. Full text available.

Message received at 46853 <at> debbugs.gnu.org:


Received: (at 46853) by debbugs.gnu.org; 1 Mar 2021 17:06:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 01 12:06:26 2021
Received: from localhost ([127.0.0.1]:50667 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lGm02-0007Qx-3H
	for submit <at> debbugs.gnu.org; Mon, 01 Mar 2021 12:06:26 -0500
Received: from eggs.gnu.org ([209.51.188.92]:41854)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lGm00-0007Qk-PH
 for 46853 <at> debbugs.gnu.org; Mon, 01 Mar 2021 12:06:25 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:49315)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lGlzu-0004Dl-7h; Mon, 01 Mar 2021 12:06:19 -0500
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:2762
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lGlzt-0007od-JS; Mon, 01 Mar 2021 12:06:18 -0500
Date: Mon, 01 Mar 2021 19:06:14 +0200
Message-Id: <835z2a952x.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <CADwFkm=vsDvdEnmpo5BzBTTM=c-ETYHu3AxC-7ZSwT-pxvSK_A@HIDDEN>
 (message from Stefan Kangas on Mon, 1 Mar 2021 10:40:07 -0600)
Subject: Re: bug#46853: Confusing terminology "face height" instead of "font
 size"
References: <CADwFkm=vsDvdEnmpo5BzBTTM=c-ETYHu3AxC-7ZSwT-pxvSK_A@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46853
Cc: 46853 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Stefan Kangas <stefan@HIDDEN>
> Date: Mon, 1 Mar 2021 10:40:07 -0600
> 
> I suggest changing the terminology "face height" to "font size" in user
> documentation and messages.  For example, the documentation for
> `text-scale-adjust' currently says:
> 
>    "Adjust the height of the default face by INC."
> 
> This is harder than it needs to be to understand, since the rest of the
> world actually talks about "increase font size".  IOW, it would be more
> clear if it said:
> 
>    "Adjust the font size in the current buffer by INC steps."

It's okay to make that change in this example, but one example is not
enough to understand what else is on the table.  How about showing a
patch, or at least the full list of places where you think we have
similar problems?  This should IMO be handled on a case by case basis
anyway.

> As part of this, we could also consider introducing a new property for
> `defface' called :size.  (Or :font-size and :font-scale which would
> allow for semantics where we can specify :font-size 14 and mean 14pt
> rather than 1.4pt.)

I wouldn't go that far; using :height is well established in Emacs
(and elsewhere, I believe: the face attributes were defined with XLFD
in mind).




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46853; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 1 Mar 2021 16:40:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 01 11:40:14 2021
Received: from localhost ([127.0.0.1]:50601 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lGlag-0006lV-3u
	for submit <at> debbugs.gnu.org; Mon, 01 Mar 2021 11:40:14 -0500
Received: from lists.gnu.org ([209.51.188.17]:36860)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1lGlae-0006lN-Co
 for submit <at> debbugs.gnu.org; Mon, 01 Mar 2021 11:40:12 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:52272)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <stefankangas@HIDDEN>)
 id 1lGlad-0000cb-La
 for bug-gnu-emacs@HIDDEN; Mon, 01 Mar 2021 11:40:12 -0500
Received: from mail-pj1-f42.google.com ([209.85.216.42]:34372)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <stefankangas@HIDDEN>)
 id 1lGlab-0004Sj-TX
 for bug-gnu-emacs@HIDDEN; Mon, 01 Mar 2021 11:40:11 -0500
Received: by mail-pj1-f42.google.com with SMTP id
 d13-20020a17090abf8db02900c0590648b1so2582378pjs.1
 for <bug-gnu-emacs@HIDDEN>; Mon, 01 Mar 2021 08:40:09 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:mime-version:date:message-id:subject:to;
 bh=enfUX90QBYhuabJfFO9AT1AuIiMRq6zFbBuN9h/AZQg=;
 b=Pr4B1DJDrO5OfsF8MuY87BwUUQFPR1MxO3cPrMl8BUdB9Y+67Zzh9NUoUeJ61Yr4U7
 scbeU7US2Aa7m+cso0b9g73OvO5qN/RXk4nfD6SlDdtyYjrjeVxehP0oVTQoqkAZeMOO
 fN2It+yFz5R3Vaf1csvgrTjEhiRiK8IiOTEdhWjMqrY7oXtuQyA2InAeD1t5cQ6dphTl
 n1LFfioeqapW0Og8elhSz0GzNoj64BdKUc1FlH72p91WsHqKJPheKz19pfekMtpw4YPz
 qG/zVUfog6G+SSlD+/kU68Dv56j7Pdz1EYL1QmOzbDYXBsPa13oOI66aNiLQmm8OLS66
 4pdg==
X-Gm-Message-State: AOAM530PNDf5wqV4prtcILSONR5LQlakNisSCVOTukcPQTzHTn2cOYfG
 Z7U7J9egNftX6gLrYLw8rIP/l1ZeLSsN7KRt7LP8AU3Q
X-Google-Smtp-Source: ABdhPJz/6eje5BGs1Ndw99MWxTmH1I5N2cJ+bmqEwlgIn2xmoxtQzhYMiYMbOHFC/Vlg5yKuqc5Cya31nS+4lUs3PdU=
X-Received: by 2002:a17:903:31c4:b029:e1:8840:8ab9 with SMTP id
 v4-20020a17090331c4b02900e188408ab9mr16230838ple.70.1614616808027; Mon, 01
 Mar 2021 08:40:08 -0800 (PST)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Mon, 1 Mar 2021 10:40:07 -0600
From: Stefan Kangas <stefan@HIDDEN>
MIME-Version: 1.0
Date: Mon, 1 Mar 2021 10:40:07 -0600
Message-ID: <CADwFkm=vsDvdEnmpo5BzBTTM=c-ETYHu3AxC-7ZSwT-pxvSK_A@HIDDEN>
Subject: Confusing terminology "face height" instead of "font size"
To: bug-gnu-emacs@HIDDEN
Content-Type: text/plain; charset="UTF-8"
Received-SPF: pass client-ip=209.85.216.42;
 envelope-from=stefankangas@HIDDEN; helo=mail-pj1-f42.google.com
X-Spam_score_int: -13
X-Spam_score: -1.4
X-Spam_bar: -
X-Spam_report: (-1.4 / 5.0 requ) BAYES_00=-1.9, FREEMAIL_FORGED_FROMDOMAIN=0.25,
 FREEMAIL_FROM=0.001, HEADER_FROM_DIFFERENT_DOMAINS=0.249,
 RCVD_IN_DNSWL_NONE=-0.0001, RCVD_IN_MSPIKE_H3=0.001, RCVD_IN_MSPIKE_WL=0.001,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -0.8 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.8 (-)

Severity: wishlist

I suggest changing the terminology "face height" to "font size" in user
documentation and messages.  For example, the documentation for
`text-scale-adjust' currently says:

   "Adjust the height of the default face by INC."

This is harder than it needs to be to understand, since the rest of the
world actually talks about "increase font size".  IOW, it would be more
clear if it said:

   "Adjust the font size in the current buffer by INC steps."

[This would also move talking about the `default' face further down, as
that is more of an implementation detail mostly of interest when
programming ELisp.]

Behind the scenes obviously a "face" is different from a "font" (as it
is rather a set of features that includes the font, formatting, etc.).
We should absolutely maintain that terminology.  We should also maintain
that if you want to customize the look of Emacs, including font size,
you need to customize this thing we call "faces".

As part of this, we could also consider introducing a new property for
`defface' called :size.  (Or :font-size and :font-scale which would
allow for semantics where we can specify :font-size 14 and mean 14pt
rather than 1.4pt.)




Acknowledgement sent to Stefan Kangas <stefan@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#46853; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 4 Mar 2021 13:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.